using System;

namespace aksdbkas
{
    class Program
    {

        public static int proveriPitanje(int [] d, int [] u, int [] l, int [] r, int []x, int M)
        {
            int odgovor = 0;

            for (int i = l[M]; i <= r[M]; i++)
            {
                if (d[i-1] >= x[M] && u[i-1] <= x[M])
                {
                    odgovor++;
                }
            }

            return odgovor;
        }

        public static void ispisiMatricu(int [,] m)
        {
            for (int i = 0; i < m.GetLength(0); i++)
            {
                Console.WriteLine();
                for (int J = 0; J < m.GetLength(1); J++)
                {
                    Console.Write(m[i,J] + ",");
                }
            }
        }

        public static void ispisiNiz(int[] m)
        {
            for (int i = 0; i < m.Length; i++)
            {
                    Console.Write(m[i] + ",");
            }
        }

        static void Main(string[] args)
        {
            var unos = Console.ReadLine();
            var vrednosti = unos.Split(' ');
            int N = int.Parse(vrednosti[0]); 
            int M = int.Parse(vrednosti[1]);


            int[,] lrx = new int[M, 3];
            int[] d = new int[N];
            int [] u = new int [N];
            int[] l = new int[M];
            int[] r = new int[M];
            int[] x = new int[M];
 
            for (int o = 0; o < N; o++)
            {
                var unosGranice = Console.ReadLine();
                var vrednostiGranice = unosGranice.Split(' ');
                d[o] = int.Parse(vrednostiGranice[0]);
                u[o]= int.Parse(vrednostiGranice[1]);
            }

            
            for (int j = 0; j < M; j++)
            {
                var unosPitanja = Console.ReadLine();
                var vrednostiPitanja = unosPitanja.Split(' ');

                l[j] = int.Parse(vrednostiPitanja[0]);
                r[j] = int.Parse(vrednostiPitanja[1]);
                x[j] = int.Parse(vrednostiPitanja[2]);
            }


            Console.WriteLine();

            for (int i = 0; i < M; i++)
            {
                int odgovor = 0;

                for (int j = l[i]; j <= r[i]; j++)
                {
                    if (d[j-1] <= x[i] && u[j-1] >= x[i])
                    {
                        odgovor++;
                    }
                }
                Console.WriteLine(odgovor);
            }

            Console.ReadLine();
        }
    }
}